Skip to main content
`Ctrl`+`K`

# DMGetApplicationContext

Gets a user context from a `DM` object

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetApplicationContext(DM dm, void *ctx)

Not Collective

## Input Parameter

- dm - the `DM` object

## Output Parameter

- ctx - the user context

## Note

A user context is a way to pass problem specific information that is accessible whenever the `DM` is available

## See Also

DM Basics, `DM`, `DMView()`, `DMCreateGlobalVector()`, `DMCreateInterpolation()`, `DMCreateColoring()`, `DMCreateMatrix()`, `DMCreateMassMatrix()`

## Level

intermediate

## Location

src/dm/interface/dm.c

## Examples

src/snes/tutorials/ex30.c
src/snes/tutorials/ex55.c
src/ts/tutorials/ex45.c
src/snes/tutorials/ex48.c
src/ksp/ksp/tutorials/ex28.c
src/ksp/ksp/tutorials/ex73.c
src/snes/tutorials/ex18.c
src/snes/tutorials/ex22.c
src/snes/tutorials/ex5.c
src/dm/tutorials/swarm_ex3.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages